@import url("styles");

.teacher-card-container {
    border-radius: @lms-small-border-radius;
    .low-elevation-mixin();
    overflow: hidden;
    position: relative;
    margin: 0.5rem;
    text-align: center;
    border: thin outset black;

    .card-background {
        position: absolute;
        background-color: @blue-2;
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;
        height: 10rem;
        width: 100%;

        .role-tag {
            position: absolute;
            border: 1px solid @gray-7;
            padding: 0.5em 1em;
            background-color: @gray-2;
            border-bottom-left-radius: @lms-small-border-radius;
            border-bottom-right-radius: @lms-small-border-radius;
            color: @blue-6;
            left: 50%;
            transform: translate(-50%, 0);
            font-weight: bold;
        }
        .tick-box {
            position: absolute;
            left: 0;
            top: 0;
            margin: 0em 1em;
            font-size: larger;
        }
        .additional-actions-container {
            position: absolute;
            border-radius: 50%;
            top: 5px;
            right: 9px;
        }
    }

    .profile-image {
        width: 8rem;
        clip-path: circle(60px at center);
        margin-top: 4.5em;
    }

    .card-meta {
        .name {
            font-weight: bold;
            font-size: 1.5rem;
        }

        .description {
            margin: 1rem 2rem;
            font-size: 0.9rem;
        }
    }

    .card-action {
        display: flex;
        flex-direction: row;
        width: 100%;
        flex-wrap: wrap;
        cursor: pointer;
        user-select: none;

        .card-action-item {
            flex-basis: 100%;
            flex: 1;
            padding: 0.6em 1.2em;
        }

        .card-edit-action {
            .action-button(@blue-5, @blue-4, @blue-6);
            border-bottom-left-radius: @lms-small-border-radius;
        }

        .card-delete-action {
            .action-button(@red-5, @red-4, @red-6);
            border-bottom-right-radius: @lms-small-border-radius;
        }
    }
}
